<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($uses_list, 'pager_us');
$uses_list->noLimit();
    
//$uses_list = $pager->getStatement();

?>

  <script type="text/javascript">
  
  function showDetailUs(us_id)
  {
     $.ajax({
      type:"POST",
			url: "<?php echo $this->getRequest('Dashboard_us','Show' ) ; ?>"+us_id,
			data: "id="+us_id,
      success: function(returnData) {
        // Affichage du des info US dans la div "visu_info" de gauche
        $('#visu_info').html('<div class="well">'+returnData+'<div>');
        
        if(data.error)
          alert(data.error);
       },
       error: function(returnData) {
        alert('Une erreur est survenue.'); 
       }
      });
  }
</script>

<div class="table-responsive"><div id="optiontools"></div><table class="table table-striped table-bordered table-hover table-condensed table-responsive">
	<tbody>
	<?php 
    foreach($uses_list as $us) {
    
      $us_id = $us->get('id', $filter_html);
      $identification = $us->get('identification', $filter_html);
      
      $debut = $us->get('debut', $filter_html);
      $fin = $us->get('fin', $filter_html);
      $commentaire =  $us->get('commentaire', $filter_html);
      $interpretation =  $us->get('interpretation', $filter_html);
      // $us_qrcode=new Plugin_QRCode($identification);
      $us_qrcode=new Plugin_QRCode( $request->getBaseUrl() );
      $qr_image_file = 'images/qrcode/'.$identification.'_qrcode.gif' ;
      if ( !file_exists($qr_image_file)) {
        $qr_image = file_put_contents($qr_image_file,$us_qrcode->image(6) );
      }
      
          
  ?>
		<tr>
      <td>
        <img
          src="<?php echo $request->getBaseUrl().'/'.$qr_image_file ; ?>" 
          alt="QR Code <?php echo $identification; ?>" 
          class="img-thumbnail img-rounded"
          height="64px"
          width="64px"
        >
      </td>
			<td>
        <a href="#" onClick="showDetailUs('<?php echo $us_id ; ?>')">
          <div>
            <?php echo $identification.' - du '.$debut.' au '.$fin ?>          
          </div>                
        </a>
        <div><em><?php echo substr ($interpretation, 0, 150 ) .' ...' ; ?></em></div>
      </td>
			<!--
      <td><a href="<?php echo $this->getRequest('Us', 'edit', $us->getPrimary()); ?>"><span class="glyphicon glyphicon-edit" style="font-size: 18px;" alt="Editer" title="Editer" ></span></a></td>
      -->
			 
		</tr>
	<?php } ?>
	</tbody>
</table></div>